Skip to main content
POST
/
v1
/
data
/
agnt
/
people
/
search
Search people
curl --request POST \
  --url https://api.agntdata.dev/v1/data/agnt/people/search \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": {
    "job_title": "founder",
    "location": "San Francisco"
  },
  "page": 1
}
'
{
  "success": true,
  "data": {},
  "meta": {
    "costCents": 123,
    "purchasedBalanceCents": 123,
    "subscriptionRemainingCents": 123,
    "cached": true,
    "latencyMs": 123,
    "priceRange": {
      "minCents": 123,
      "maxCents": 123
    },
    "budgetCents": 123,
    "budgetCentsPerRecord": 123,
    "providersAttempted": 123,
    "fieldsReturned": [
      "<string>"
    ],
    "fieldsMissing": [
      "<string>"
    ],
    "records": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://agnt.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...

Body

application/json
filters
object
page
integer
Required range: x > 0

Response

People search results.

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object